
package com.jeelowcode.core.framework.config.btncommand.button;

import com.jeelowcode.core.framework.config.btncommand.receiver.IButtonCommandReceiver;
import com.jeelowcode.core.framework.params.model.ExcelModel;

/**
 * 具体命令-新增按钮命令
 */
public class ExportButtonCommand implements IButtonCommand<ExcelModel> {
    //命令执行者
    private IButtonCommandReceiver<ExcelModel> recevier;

    private String name = "导出数据";

    /**
     * 绑定执行者
     * @param recevier 执行者
     */
    public ExportButtonCommand(IButtonCommandReceiver recevier) {
        this.recevier = recevier;
    }

    /**
     * 执行命令
     * @return
     */
    @Override
    public ExcelModel execute() {
        ExcelModel receiver = recevier.receiver();
        return receiver;
    }


}
